% by Sean Fulop, updated August 2010
% plot Fourier power spectrum of a signal, with fft length equal to signal

function [PS, f] = powerspec(signal, Fs, low, high)

fftn = length(signal);

window = tftb_window(fftn,'Kaiser');

% extract the positive frequency components
if rem(fftn,2)==1
  ret_n = (fftn-1)/2;
else
  ret_n = fftn/2;
end

if high > Fs*(ret_n-1)/fftn
    high = Fs*(ret_n-1)/fftn;
end


PS = 10 .* log10(fft((signal.*window),fftn) .* conj(fft((signal.*window),fftn)));

lowindex = round(low/Fs*fftn);
if lowindex == 0
    lowindex = 1;
end
highindex = round(high/Fs*fftn);
f = Fs*[lowindex:highindex]/fftn;
% computes the decibel-unit magnitude spectrum of the signal and sets the
% frequency axis to Hz units

plot(f, PS(lowindex+1:highindex+1), 'g')
xlabel('Frequency (Hz)','FontName','times','FontSize',12)
ylabel('Magnitude (dB)','FontName','times','FontSize',12)
set(gca,'FontName','FixedWidth')
